# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8

inherit meson xdg toolchain-funcs

DESCRIPTION="A free software manga reader."
HOMEPAGE="https://gitea.sergiotarxz.freemyip.com"
SRC_URI="https://gitea.sergiotarxz.freemyip.com/sergiotarxz/recuento/archive/main.tar.gz -> recuento-$PV.tar.gz"
S="${WORKDIR}/recuento"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
>=gui-libs/libadwaita-1.1.0
>=dev-db/sqlite-3.38.0
>=sys-libs/owlpath-0.0.1
>=sys-libs/kbdus-0.0.1
"

RDEPEND="${DEPEND}"
BDEPEND="
virtual/pkgconfig
>=dev-util/meson-0.60.3
"
CC+="$(tc-getCC) -mwindows"

src_configure() {
	VALAC=/usr/bin/valac-0.56 meson_src_configure
}

src_install() {
	meson_src_install
}

pkg_postinst() {
	xdg_icon_cache_update
}
pkg_postrm () {
	xdg_icon_cache_update
}
